package org.socketelf.socket.manager.business.juddi;

import java.util.ArrayList;
import org.socketelf.socket.manager.business.services.SocketService;

/**
 * Produces a simple socket2bod.jar with details of 
 * services to me made available in SOCKET-Bodington.
 *
 * Each SocketService has a name, a description and a url, all strings:
 * getSocketServiceName(), 
 * getSocketServiceDescription()
 * and getSocketServiceURL().
 * 
 * There are three examples in the code below of services
 * being made available by specifiying the name, description and
 * location of the services.
 * 
 * To add your own service add the following block of code for
 * each service (or web application) you wish to add:
 * 
 * 
 * socketService = new SocketService();
 * socketService.setSocketServiceName("My Service Name");
 * socketService.setSocketServiceDescription("A short description of my service.");
 * socketService.setSocketServiceURL("http://www.myserver.ac.uk/mycontextname/consumer/operation_list.html");
 *
 * socketServices.add(socketService);
 *
 * 
 * 
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2006</p>
 * <p>Company: </p>
 * @author Clayton Moore
 * @version 1.0
 */

public class SocketJuddiToolkit {

    ArrayList socketServices = new ArrayList();

    public SocketJuddiToolkit()
    {
        SocketService socketService = null; 
        
        socketService = new SocketService();
        socketService.setSocketServiceName("The Chemical Elements");
        socketService.setSocketServiceDescription("A SOCKET test service.");
        socketService.setSocketServiceURL("http://socket.leeds.ac.uk/edconsumer/consumer/operation_list.html");

        socketServices.add(socketService);

        socketService = new SocketService();
        socketService.setSocketServiceName("SOCKET for Jabber");
        socketService.setSocketServiceDescription("Instant Jabber");
        socketService.setSocketServiceURL("http://www.webforwireless.co.uk:8080/JabberClient/web/home.jsp");

        socketServices.add(socketService);

        socketService = new SocketService();
        socketService.setSocketServiceName("SSRun");
        socketService.setSocketServiceDescription("From Icodeon WSDL");
        socketService.setSocketServiceURL("http://socket.leeds.ac.uk/ssrunsocket/consumer/operation_list.html");

        socketServices.add(socketService);

    }

    public ArrayList getSocketServices(int status)
    {
        //status is temporarily redundant.
        return socketServices;
    }

}
